## coffeescript 0.6.2

=== debian/changelog ===
coffeescript (0.6.2-1) unstable; urgency=low

  * New upstream release
    - Syntax for block comments
    - DRY-style pattern matching supported
    - Pattern matching allowed within comprehension variables
    - unless statement allowed in block form
    - until loops added
    - switch statements allowed without switch object clauses
  * Added Vcs-Git and Vcs-Browser fields
  * Updated nodejs dependency to 0.1.95
  * Don't install cake to /usr/bin (Closes: #581913)

 -- Geza Kovacs <gkovacs@mit.edu>  Sun, 16 May 2010 12:31:23 -0400

coffeescript (0.6.1-1) unstable; urgency=low

  * New upstream release.
    - Compatible with the Node.js 0.1.90 series.
  * Updated nodejs dependency to 0.1.90

 -- Geza Kovacs <gkovacs@mit.edu>  Fri, 14 May 2010 13:24:05 -0400

coffeescript (0.5.6-3) unstable; urgency=low

  * Add copyright section for vendor/jison (Closes: #575437)
  * Add copyright section for extras/coffee.vim

 -- Geza Kovacs <gkovacs@mit.edu>  Fri, 16 Apr 2010 22:45:23 -0400

coffeescript (0.5.6-2) unstable; urgency=low

  * Make js library files non-executable
  * Add note that patches are not meant to be forwarded upstream
  * Remove unused install section from rules

 -- Geza Kovacs <gkovacs@mit.edu>  Sat, 03 Apr 2010 10:03:57 -0400

coffeescript (0.5.6-1) unstable; urgency=low

  * Initial release (Closes: #575437)
  * Change coffeescript section to devel
  * Change coffeescript-doc section to doc
  * Install docs to /usr/share/doc
  * Add patch to fix nodejs path
  * Add patch to install libraries into /usr/lib/coffeescript
  * Add descriptions to patches
  * Register coffeescript-doc with doc-base
  * Change name entry for coffee manpage to be more descriptive

 -- Geza Kovacs <gkovacs@mit.edu>  Fri, 02 Apr 2010 19:39:31 -0400
