## coffeescript 0.7.0

=== debian/changelog ===
coffeescript (0.7.0-1) unstable; urgency=low

  * New upstream release
  * Updated nodejs dependency to 0.1.99

 -- Geza Kovacs <gkovacs@mit.edu>  Wed, 30 Jun 2010 19:19:57 -0700
