=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 
 Package: coffeescript
 Architecture: all
-Depends: ${shlibs:Depends}, ${misc:Depends}, nodejs (>= 0.1.95)
+Depends: ${shlibs:Depends}, ${misc:Depends}, nodejs (>= 0.1.99)
 Description: interpreter and compiler for the CoffeeScript language
  CoffeeScript is a language which compiles to JavaScript
  .
