=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh $@

override_dh_fixperms:
	chmod -x debian/coffeescript/usr/lib/coffeescript/*
