=== debian/watch ===
version=3
http://githubredir.debian.net/github/jashkenas/coffee-script/(.*).tar.gz
