## coffeescript 1.1.1

=== debian/changelog ===
coffeescript (1.1.1-3) unstable; urgency=low

  * Rebuild to let ftpmasters know that this is not same code as was
    earlier rejected.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 25 Jul 2011 13:24:52 +0200

coffeescript (1.1.1-2) unstable; urgency=low

  * Provide command-line utility "cake" as "cake.coffeescript" to
    peacefully coexist with cakephp.
    Closes: bug#633429. Thanks to Ralf Treinen.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 11 Jul 2011 11:47:21 +0200

coffeescript (1.1.1-1) unstable; urgency=low

  * New upstream release.

  [ Geza Kovacs ]
  * Remove patch because nodejs now uses upstream names.
    Closes: bug#611701, #623704. Thanks to Lionel Landwerlin.
  * Minimum nodejs dependency version bumped to 0.2.6

  [ Jonas Smedegaard ]
  * Packaging moved to Debian Javascript Maintainers, with myself and
    Geza as uploaders.
  * Switch packaging to CDBS (from short-form dh).
    + Track build-dependencies.
    + implement get-orig-source target.
    + track copyright/licensing changes.
    + Declare package relations in rules file.
    + Drop install hints now superfluous (detected automagically).
  * Ease building with git-buildpackage:
    + Git-ignore quilt .pc dir.
    + Add dpkg-source local-options.
  * Add git-buildpackage config, enabling pristine-tar and signed tags.
  * Tighten access rights fixup.
  * Add copyright and licensing header for debian subdir to rules file.
  * Add Last-Update hint to patch DEP3 header.
  * Update copyright file:
    + Change licensing of debian subdir to GPL-2+ (from MIT).
    + Reformat to draft 174 of DEP-5.
    + Drop obsolete Files sections.
    + Rename main License section to Expat (from ambigous MIT).
    + Consistently wrap multiline sections at 72 chars.
    + Use download list page (not homepage) as Source URL.
    + Add Files section for convenience copy of jquery (no new license).
    + Bump (yes, not extend) main copyright timeframe.
  * Update control file. Add copyright hints.
  * Fix add path segment to Homepage URL.
  * Rewrite long descriptions based on upstream intro.
  * Fix revert (accidental?) patch to upstream files.
  * Compile code from itself using upstream build routines (not just
    redistribute upstream prebuild code).
    + As a bonus, fix include /usr/bin/cake in coffeescript package.
  * Generate coffee.1 manpage at package build time.
  * Add binary package libjs-coffeescript.
    Closes: bug#611703.
  * Have coffeescript provide libnode-coffeescript.
  * Bump policy compliance to standards-version 3.9.2.
  * Install examples.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 09 Jul 2011 05:39:03 +0200

coffeescript (1.0.0-1) unstable; urgency=low

  * New upstream release
  * Minimum nodejs dependency version bumped to 0.2.5

 -- Geza Kovacs <gkovacs@mit.edu>  Wed, 29 Dec 2010 04:01:12 -0500

coffeescript (0.9.4-1) unstable; urgency=low

  * New upstream release

 -- Geza Kovacs <gkovacs@mit.edu>  Sat, 25 Sep 2010 11:55:43 -0400

coffeescript (0.7.2-1) unstable; urgency=low

  * New upstream release
  * Bumped Standards-Version to 3.9.1, no changes needed.

 -- Geza Kovacs <gkovacs@mit.edu>  Sun, 01 Aug 2010 14:42:04 -0700
