## coffeescript 1.1.2

=== debian/changelog ===
coffeescript (1.1.2-2) unstable; urgency=low

  * Install jsl.conf as example file (not below /etc).

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 20 Aug 2011 18:51:44 +0200

coffeescript (1.1.2-1) unstable; urgency=low

  * New upstream release.
  * Add patch to avoid regression tests as part of normal build.
  * Unfuzz patches.
  * Do regression tests for both main and browser code, and respect
    DEB_BUILD_OPTIONS nocheck keyword.
  * Drop installing extras/EXTRAS: no longer shipped upstream.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 20 Aug 2011 17:38:06 +0200
