=== debian/rules ===
--- 
+++ 
@@ -24,7 +24,7 @@
 DEB_UPSTREAM_URL = http://githubredir.debian.net/github/jashkenas/coffee-script
 DEB_UPSTREAM_TARBALL_BASENAME = $(DEB_UPSTREAM_TARBALL_VERSION)
 DEB_UPSTREAM_WGET_OPTS += --no-check-certificate
-DEB_UPSTREAM_TARBALL_MD5 = 9218a47356c0da6713a05162a2e10295
+DEB_UPSTREAM_TARBALL_MD5 = 9331fad15cc7fc9f5f258bbb81cd135a
 
 # suppress checking binary file, to not upset dpkg-source
 DEB_COPYRIGHT_CHECK_IGNORE_REGEX = ^documentation/images/logo\.png|debian/(changelog|copyright(|_hints|_newhints))$
@@ -35,8 +35,7 @@
 CDBS_SUGGESTS_libjs-coffeescript = coffeescript
 CDBS_PROVIDES_coffeescript = libnode-coffeescript
 
-DEB_INSTALL_DOCS_libjs-coffeescript += extras/EXTRAS
-DEB_INSTALL_EXAMPLES_coffeescript += examples/*
+DEB_INSTALL_EXAMPLES_coffeescript += examples/* extras/jsl.conf
 
 # put aside upstream-shipped temp files during build but after copyright-check
 pre-build:: debian/stamp-upstreamtmpstuff
@@ -54,7 +53,7 @@
 	done
 	rm -f debian/stamp-upstreamtmpstuff
 
-# Compile from itself
+# Compile from itself (build twice to mimic build:full without testing)
 # TODO: add build:parser when jison is available in Debian
 # TODO: add build:ultraviolet when ruby-uv is in Debian
 # TODO: compile docs when docco is in Debian
@@ -66,7 +65,11 @@
 build/coffeescript:: debian/stamp-build
 debian/stamp-build:
 	chmod +x bin/cake
-	bin/cake build:full build:browser
+	bin/cake build
+	bin/cake build
+	bin/cake build:browser
+	$(if $(filter nocheck,$(DEB_BUILD_OPTIONS)),,bin/cake test)
+	$(if $(filter nocheck,$(DEB_BUILD_OPTIONS)),,bin/cake test:browser)
 
 	echo '#!/usr/bin/env node' > debian/$(cake)
 	echo >> debian/$(cake)
