## coffeescript 1.2.0

=== debian/changelog ===
coffeescript (1.2.0-2) unstable; urgency=low

  * Fix paths when invoking from command-line.
  * Fix install code for browsers below /usr/share (not /usr/lib).
  * Provide uncompressed (not only compressed) code for browsers.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 24 Dec 2011 15:25:09 +0700

coffeescript (1.2.0-1) unstable; urgency=low

  * New upstream release.
  * Fix add trailing newline to watch file.
  * Drop dpkg local-options hints from packaging source: now defaults.
  * Update package relations:
    + Provide node-coffeescript (not libnode-coffeescript).
    + Build-depend on node-uglify (not versioned on libnode-uglify).
    + Relax to build-depend unversioned on devscripts and debhelper:
      Needed versions are available even in unstable.
    + Relax slightly versioning of build-dependency on cdbs.
  * Unfuzz patches.
  * Update copyright file:
    + Update Files section for (unused!) convenience copy of jquery).

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 23 Dec 2011 12:45:34 +0700
