=== debian/control ===
--- 
+++ 
@@ -4,11 +4,11 @@
 Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
 Uploaders: Jonas Smedegaard <dr@jones.dk>,
  Geza Kovacs <gkovacs@mit.edu>
-Build-Depends: devscripts (>= 2.10.7~),
- cdbs (>= 0.4.85~),
- debhelper (>= 7.0.1),
+Build-Depends: cdbs (>= 0.4.72~),
+ devscripts,
+ debhelper,
  dh-buildinfo,
- libnode-uglify (>= 1.0.4),
+ node-uglify,
  help2man
 Standards-Version: 3.9.2
 Vcs-Git: git://git.debian.org/git/collab-maint/coffeescript.git
