=== debian/rules ===
--- 
+++ 
@@ -24,7 +24,7 @@
 DEB_UPSTREAM_URL = http://githubredir.debian.net/github/jashkenas/coffee-script
 DEB_UPSTREAM_TARBALL_BASENAME = $(DEB_UPSTREAM_TARBALL_VERSION)
 DEB_UPSTREAM_WGET_OPTS += --no-check-certificate
-DEB_UPSTREAM_TARBALL_MD5 = 9331fad15cc7fc9f5f258bbb81cd135a
+DEB_UPSTREAM_TARBALL_MD5 = 5dfc3ee21214f1b7e86c0535f5386a35
 
 # suppress checking binary file, to not upset dpkg-source
 DEB_COPYRIGHT_CHECK_IGNORE_REGEX = ^documentation/images/logo\.png|debian/(changelog|copyright(|_hints|_newhints))$
@@ -33,11 +33,12 @@
 CDBS_RECOMMENDS_libjs-coffeescript = javascript-common
 CDBS_SUGGESTS_coffeescript = libjs-coffeescript
 CDBS_SUGGESTS_libjs-coffeescript = coffeescript
-CDBS_PROVIDES_coffeescript = libnode-coffeescript
+CDBS_PROVIDES_coffeescript = node-coffeescript
 
 DEB_INSTALL_EXAMPLES_coffeescript += examples/* extras/jsl.conf
 
 # put aside upstream-shipped temp files during build but after copyright-check
+upstreamtmpdirs += lib extras
 pre-build:: debian/stamp-upstreamtmpstuff
 debian/stamp-upstreamtmpstuff: debian/stamp-copyright-check
 	for dir in $(upstreamtmpdirs); do \
@@ -57,9 +58,7 @@
 # TODO: add build:parser when jison is available in Debian
 # TODO: add build:ultraviolet when ruby-uv is in Debian
 # TODO: compile docs when docco is in Debian
-# libnode-uglify versioning: library calls broken in earlier packaging
-CDBS_BUILD_DEPENDS += , libnode-uglify (>= 1.0.4)
-upstreamtmpdirs += lib extras
+CDBS_BUILD_DEPENDS += , node-uglify
 # Provide "cake" as "cake.coffeescript" to peacefully coexist with cakephp
 cake = cake.coffeescript
 build/coffeescript:: debian/stamp-build
@@ -70,18 +69,21 @@
 	bin/cake build:browser
 	$(if $(filter nocheck,$(DEB_BUILD_OPTIONS)),,bin/cake test)
 	$(if $(filter nocheck,$(DEB_BUILD_OPTIONS)),,bin/cake test:browser)
+	mv extras/coffee-script.js debian/coffee-script.min.js
+	MINIFY=false bin/cake build:browser
+	$(if $(filter nocheck,$(DEB_BUILD_OPTIONS)),,bin/cake test:browser)
 
 	echo '#!/usr/bin/env node' > debian/$(cake)
 	echo >> debian/$(cake)
-	echo "require('../lib/coffee-script/lib/cake').run();" >> debian/$(cake)
+	echo "require('../lib/coffee-script/lib/coffee-script/cake').run();" >> debian/$(cake)
 
 	echo '#!/usr/bin/env node' > debian/coffee
 	echo >> debian/coffee
-	echo "require('../lib/coffee-script/lib/command').run();" >> debian/coffee
+	echo "require('../lib/coffee-script/lib/coffee-script/command').run();" >> debian/coffee
 
 	touch $@
 clean::
-	rm -f debian/$(cake) debian/coffee
+	rm -f debian/$(cake) debian/coffee debian/coffee-script.min.js
 	rm -f debian/stamp-build
 
 install/coffeescript::
