## coffeescript 1.3.3

=== debian/changelog ===
coffeescript (1.3.3-3) unstable; urgency=low

  * Really fix build-depend on nodejs.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 06 Aug 2012 14:40:00 +0200

coffeescript (1.3.3-2) unstable; urgency=low

  * Fix explicitly build-depend on nodejs (used in cakefile to build
    coffeescript).
  * Add patch to call binary /usr/bin/nodejs (not node) during build,
    adjust rules file to do the same for installed wrappers, and tighten
    (build-)dependency on nodejs.
    See bug#614907.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 06 Aug 2012 02:24:17 +0200

coffeescript (1.3.3-1) unstable; urgency=low

  * New upstream release.
    + Due to the new semantics of JavaScript's strict mode, CoffeeScript
      no longer guarantees that constructor functions have names in all
      runtimes.
    + Inside of a nested function inside of an instance method, it's now
      possible to call 'super' more reliably (walks recursively up).
    + Named loop variables no longer have different scoping heuristics
      than other local variables.
    + Fix for splats nested within the LHS of destructuring assignment.
    + Corrections to our compile time strict mode forbidding of octal
      literals.

  * Fix extend copyright years for Debian packaging.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 23 May 2012 21:26:47 +0200

coffeescript (1.3.1-1) unstable; urgency=low

  * New upstream release.
  * Fix tighten watch file regex.
  * Bump standards-version to 3.9.3.
  * Use anonscm.debian.org for Vcs-Browser field.
  * Update copyright file:
    + Extend copyright years.
    + Bump format to 1.0.
    + Fix double-indent in Copyright fields as per Policy §5.6.13.
    + Drop virtually empty License section GPL-2.
  * Relax to depend unversioned on nodejs: Required version satisfied in
    unstable, and no earlier release exist in other suites.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 13 Apr 2012 12:38:38 -0400
