=== debian/control ===
--- 
+++ 
@@ -8,11 +8,12 @@
  devscripts,
  debhelper,
  dh-buildinfo,
+ nodejs (>= 0.6.19~dfsg1-3~),
  node-uglify,
  help2man
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Vcs-Git: git://git.debian.org/git/collab-maint/coffeescript.git
-Vcs-Browser: http://git.debian.org/?p=collab-maint/coffeescript.git;a=summary
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/coffeescript.git
 Homepage: http://coffeescript.org/
 
 Package: coffeescript
