=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 # -*- mode: makefile; coding: utf-8 -*-
 # Copyright © 2010, Geza Kovacs <gkovacs@mit.edu>
-# Copyright © 2011, Jonas Smedegaard <dr@jones.dk>
+# Copyright © 2011, 2012, Jonas Smedegaard <dr@jones.dk>
 # Description: Debian packaging script for CoffeeScript
 #
 # This program is free software; you can redistribute it and/or
@@ -24,12 +24,12 @@
 DEB_UPSTREAM_URL = http://githubredir.debian.net/github/jashkenas/coffee-script
 DEB_UPSTREAM_TARBALL_BASENAME = $(DEB_UPSTREAM_TARBALL_VERSION)
 DEB_UPSTREAM_WGET_OPTS += --no-check-certificate
-DEB_UPSTREAM_TARBALL_MD5 = 5dfc3ee21214f1b7e86c0535f5386a35
+DEB_UPSTREAM_TARBALL_MD5 = 2c887482292d3ed7199cd8a1081cb3e6
 
 # suppress checking binary file, to not upset dpkg-source
 DEB_COPYRIGHT_CHECK_IGNORE_REGEX = ^documentation/images/logo\.png|debian/(changelog|copyright(|_hints|_newhints))$
 
-CDBS_DEPENDS_coffeescript = nodejs (>= 0.2.6)
+CDBS_DEPENDS_coffeescript = nodejs (>= 0.6.19~dfsg1-3~)
 CDBS_RECOMMENDS_libjs-coffeescript = javascript-common
 CDBS_SUGGESTS_coffeescript = libjs-coffeescript
 CDBS_SUGGESTS_libjs-coffeescript = coffeescript
@@ -73,11 +73,11 @@
 	MINIFY=false bin/cake build:browser
 	$(if $(filter nocheck,$(DEB_BUILD_OPTIONS)),,bin/cake test:browser)
 
-	echo '#!/usr/bin/env node' > debian/$(cake)
+	echo '#!/usr/bin/nodejs' > debian/$(cake)
 	echo >> debian/$(cake)
 	echo "require('../lib/coffee-script/lib/coffee-script/cake').run();" >> debian/$(cake)
 
-	echo '#!/usr/bin/env node' > debian/coffee
+	echo '#!/usr/bin/nodejs' > debian/coffee
 	echo >> debian/coffee
 	echo "require('../lib/coffee-script/lib/coffee-script/command').run();" >> debian/coffee
