## coffeescript 1.4.0

=== debian/changelog ===
coffeescript (1.4.0-1) unstable; urgency=low

  * New upstream source.

  [ Jonas Smedegaard ]
  * Update watch and rules files to directly use github.com URL (not
    githubredir.debian.net).
  * Update copyright file:
    + Refer to upstream issue tracker as main contact URL.
    + Include email for main author.
  * Bump dephelper compatibility level to 8.
  * Update package relations:
    + Tighten build-dependency on cdbs: Needed for handling upstream
      cruft, done by CDBS from now on.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 14 Nov 2012 15:11:10 +0100
