=== debian/control ===
--- 
+++ 
@@ -4,8 +4,8 @@
 Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
 Uploaders: Jonas Smedegaard <dr@jones.dk>,
  Geza Kovacs <gkovacs@mit.edu>
-Build-Depends: cdbs (>= 0.4.72~),
- devscripts,
+Build-Depends: devscripts,
+ cdbs (>= 0.4.106~),
  debhelper,
  dh-buildinfo,
  nodejs (>= 0.6.19~dfsg1-3~),
