=== debian/rules ===
--- 
+++ 
@@ -21,38 +21,27 @@
 include /usr/share/cdbs/1/rules/utils.mk
 include /usr/share/cdbs/1/rules/debhelper.mk
 
-DEB_UPSTREAM_URL = http://githubredir.debian.net/github/jashkenas/coffee-script
+pkg = $(DEB_SOURCE_PACKAGE)
+
+DEB_UPSTREAM_URL = http://github.com/jashkenas/coffee-script/archive
 DEB_UPSTREAM_TARBALL_BASENAME = $(DEB_UPSTREAM_TARBALL_VERSION)
-DEB_UPSTREAM_WGET_OPTS += --no-check-certificate
-DEB_UPSTREAM_TARBALL_MD5 = 2c887482292d3ed7199cd8a1081cb3e6
+DEB_UPSTREAM_TARBALL_MD5 = a0458d7be234b9952103d680f0e68e52
 
 # suppress checking binary file, to not upset dpkg-source
 DEB_COPYRIGHT_CHECK_IGNORE_REGEX = ^documentation/images/logo\.png|debian/(changelog|copyright(|_hints|_newhints))$
 
-CDBS_DEPENDS_coffeescript = nodejs (>= 0.6.19~dfsg1-3~)
-CDBS_RECOMMENDS_libjs-coffeescript = javascript-common
-CDBS_SUGGESTS_coffeescript = libjs-coffeescript
-CDBS_SUGGESTS_libjs-coffeescript = coffeescript
+deps = nodejs (>= 0.6.19~dfsg1-3~)
+CDBS_BUILD_DEPENDS += , $(deps)
+CDBS_DEPENDS_$(pkg) = $(deps)
+CDBS_RECOMMENDS_libjs-$(pkg) = javascript-common
+CDBS_SUGGESTS_$(pkg) = libjs-$(pkg)
+CDBS_SUGGESTS_libjs-$(pkg) = coffeescript
 CDBS_PROVIDES_coffeescript = node-coffeescript
 
-DEB_INSTALL_EXAMPLES_coffeescript += examples/* extras/jsl.conf
+DEB_INSTALL_EXAMPLES_$(pkg) += examples/* extras/jsl.conf
 
-# put aside upstream-shipped temp files during build but after copyright-check
-upstreamtmpdirs += lib extras
-pre-build:: debian/stamp-upstreamtmpstuff
-debian/stamp-upstreamtmpstuff: debian/stamp-copyright-check
-	for dir in $(upstreamtmpdirs); do \
-		[ ! -e $$dir ] || [ -e $$dir.upstream ] || cp -a $$dir $$dir.upstream; \
-	done
-	touch $@
-clean::
-	for dir in $(upstreamtmpdirs); do \
-		if [ -e $$dir.upstream ]; then \
-			rm -rf $$dir; \
-			mv $$dir.upstream $$dir; \
-		fi; \
-	done
-	rm -f debian/stamp-upstreamtmpstuff
+# put aside upstream-shipped autogenerated files during build
+DEB_UPSTREAM_CRUFT_COPY = lib extras
 
 # Compile from itself (build twice to mimic build:full without testing)
 # TODO: add build:parser when jison is available in Debian
@@ -61,7 +50,7 @@
 CDBS_BUILD_DEPENDS += , node-uglify
 # Provide "cake" as "cake.coffeescript" to peacefully coexist with cakephp
 cake = cake.coffeescript
-build/coffeescript:: debian/stamp-build
+build/$(pkg):: debian/stamp-build
 debian/stamp-build:
 	chmod +x bin/cake
 	bin/cake build
@@ -86,7 +75,7 @@
 	rm -f debian/$(cake) debian/coffee debian/coffee-script.min.js
 	rm -f debian/stamp-build
 
-install/coffeescript::
+install/$(pkg)::
 	bin/cake --destdir debian/tmp --prefix /usr --nodedir /usr/lib/nodejs install
 	rm -f debian/tmp/usr/bin/cake
 	install -t debian/tmp/usr/bin/ debian/$(cake) debian/coffee
@@ -94,9 +83,9 @@
 # generate manpage based on --help option of script itself
 CDBS_BUILD_DEPENDS += , help2man
 manpages = debian/coffee.1
-DEB_INSTALL_MANPAGES_coffeescript = $(manpages)
+DEB_INSTALL_MANPAGES_$(pkg) = $(manpages)
 common-binary-indep:: $(manpages)
-$(manpages): install/coffeescript
+$(manpages): install/$(pkg)
 $(manpages): debian/%.1 : bin/%
 	help2man \
 		--name="interpreter and compiler for the CoffeeScript language" \
@@ -107,5 +96,5 @@
 clean::
 	rm -f $(manpages)
 
-binary-fixup/coffeescript::
-	chmod -R a-x,a+X debian/coffeescript/usr/lib/coffee-script/lib/ debian/coffeescript/usr/lib/coffee-script/src/
+binary-fixup/$(pkg)::
+	chmod -R a-x,a+X $(cdbs_curdestdir)/usr/lib/coffee-script/lib/ $(cdbs_curdestdir)/usr/lib/coffee-script/src/
