=== debian/watch ===
version=3
https://github.com/jashkenas/coffee-script/tags .*/archive/v?(\d[\d\.]+).tar.gz
