## coffeescript 1.9.2~dfsg

=== debian/changelog ===
coffeescript (1.9.2~dfsg-1) unstable; urgency=medium

  [ upstream ]
  * New release.
    + Fixed a watch mode error introduced in 1.9.1 when compiling
      multiple files with the same filename.
    + Bugfix for yield around expressions containing this.
    + Added a Ruby-style -r option to the REPL, which allows requiring a
      module before execution with --eval or --interactive.
    + In <script type="text/coffeescript"> tags, to avoid possible
    + duplicate browser requests for .coffee files, you can now use the
      data-src attribute instead of src.
    + Minor bug fixes for IE8, strict ES5 regular expressions and
      Browserify.

  [ Jonas Smedegaard ]
  * Modernize git-buildpackage config: Drop "git-" prefix.
  * Update copyright info: Extend coverage for myself.
  * Install README.md (not no longer shipped README).

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 16 May 2015 04:18:44 +0200

coffeescript (1.9.1~dfsg-1) experimental; urgency=medium

  [ upstream ]
  * New release(s).
    + CoffeeScript now supports ES6 generators.
    + More robust parsing and improved error messages for strings and
      regexes — especially with respect to interpolation.
    + Changed strategy for the generation of internal compiler variable
      names.
    + Interpolation now works in object literal keys (again).
    + Internal compiler names no longer start with underscores.
    + Minor bug fixes and various improvements to compiler error
      messages.
    + Supports Literate CoffeeScript.
    + The CoffeeScript REPL is now based on the Node.js REPL, and should
      work better and more familiarly.
    + Returning explicit values from constructors is now forbidden. If
      you want to return an arbitrary value, use a function, not a
      constructor.
    + You can now loop over an array backwards, without having to
      manually deal with the indexes.
    + Source locations are now preserved in the CoffeeScript AST,
      although source maps are not yet being emitted.
    + Can generate source maps. Pass the --map flag to the compiler, and
      off you go.
  Closes: Bug#750716.

  [ Jonas Smedegaard ]
  * Have git-import-orig suppress upstream .gitignore file.
  * Update package relations:
    + Tighten build-dependency on uglify-js.
      Drop patch for temporary workaround applied in 1.4.0-1.1.
    + Build-depend on node-underscore: Needed by build script.
      Thanks to Arto Jantunen <viiru@debian.org>.
    + Have coffeescript suggest coffeescript-doc.
      Closes: bug#726481. Thanks to Ben Finney.
  * Unfuzz patches.
  * Fix use pseudo-license and pseudo-comment sections in copyright file
    to obey silly restrictions of copyright format 1.0.
  * Add README.source emphasizing control.in file as *not* a
    show-stopper for contributions, referring to wiki page for details.
  * Add alternate git source URL.
  * Stop tracking md5sum of upstream tarball.
  * Update copyright info:
    + Extend coverage for myself to include recent years.
    + Bump licensing of packaging to GPL-3+.
    + Fix include License paragraph for GPL-2.
    + Fix use versioned references for GPL licenses.
    + Extend coverage for main upstream author to include recent years.
    + Cover documentation/docs/docco.css: BSD-3-clause licensed.
  * Update Vcs-Browser URL to use cgit web frontend.
  * Fix use canonical URL in Vcs-Git.
  * Declare compliance with Debian Policy 3.9.6.
  * Repackage source, avoiding minified code and fonts, both potentially
    DFSG-nonfree.
  * Stop including extras/jsl.conf as example file: No longer shipped
    upstream.
    Thanks to Arto Jantunen <viiru@debian.org>.
  * Fix install upstream wrappers, including intermediary ones in
    library path (not Debian-specific wrappers without intermediaries):
    library code rely on existence of intermediary wrappers.
    Thanks to Arto Jantunen <viiru@debian.org>.
  * Fix access rights for library and source files.
    Thanks to lintian.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 10 Mar 2015 19:14:15 +0100

coffeescript (1.4.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix "FTBFS against uglify 2.x series" by applying patch from BTS.
    (Closes: #750716)

 -- Tobias Frost <tobi@debian.org>  Sat, 22 Nov 2014 13:05:05 +0100
