=== debian/control ===
--- 
+++ 
@@ -4,16 +4,17 @@
 Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
 Uploaders: Jonas Smedegaard <dr@jones.dk>,
  Geza Kovacs <gkovacs@mit.edu>
-Build-Depends: devscripts,
- cdbs (>= 0.4.106~),
+Build-Depends: cdbs (>= 0.4.106~),
+ devscripts,
  debhelper,
  dh-buildinfo,
  nodejs (>= 0.6.19~dfsg1-3~),
- node-uglify,
+ node-uglify (>= 2.2),
+ node-underscore,
  help2man
-Standards-Version: 3.9.3
-Vcs-Git: git://git.debian.org/git/collab-maint/coffeescript.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/coffeescript.git
+Standards-Version: 3.9.6
+Vcs-Git: git://git.debian.org/collab-maint/coffeescript.git
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/coffeescript.git
 Homepage: http://coffeescript.org/
 
 Package: coffeescript
