=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-
# Copyright © 2010, Geza Kovacs <gkovacs@mit.edu>
# Copyright © 2011-2015, Jonas Smedegaard <dr@jones.dk>
# Description: Debian packaging script for CoffeeScript
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License as
# published by the Free Software Foundation; either version 3, or (at
# your option) any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

include /usr/share/cdbs/1/rules/upstream-tarball.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/cdbs/1/rules/debhelper.mk

pkg = $(DEB_SOURCE_PACKAGE)

DEB_UPSTREAM_URL = http://github.com/jashkenas/coffee-script/archive
DEB_UPSTREAM_TARBALL_BASENAME = $(DEB_UPSTREAM_TARBALL_VERSION)
DEB_UPSTREAM_TARBALL_SRCDIR = $(DEB_UPSTREAM_PACKAGE)-$(DEB_UPSTREAM_TARBALL_VERSION)

# Exclude potentially DFSG-nonfree minified code and fonts
DEB_UPSTREAM_REPACKAGE_EXCLUDES += extras/coffee-script.js \
	documentation/docs/public/fonts/

# suppress checking binary file, to not upset dpkg-source
DEB_COPYRIGHT_CHECK_IGNORE_REGEX = ^documentation/images/logo\.png|debian/(changelog|copyright(|_hints|_newhints))$

deps = nodejs (>= 0.6.19~dfsg1-3~)
CDBS_BUILD_DEPENDS += , $(deps)
CDBS_DEPENDS_$(pkg) = $(deps)
CDBS_RECOMMENDS_libjs-$(pkg) = javascript-common
CDBS_SUGGESTS_$(pkg) = libjs-$(pkg), coffeescript-doc
CDBS_SUGGESTS_libjs-$(pkg) = coffeescript
CDBS_PROVIDES_coffeescript = node-coffeescript

# Provide "cake" as "cake.coffeescript" to peacefully coexist with cakephp
cake = cake.coffeescript

DEB_INSTALL_DOCS_ALL += README.md
DEB_INSTALL_EXAMPLES_$(pkg) += examples/*

# put aside upstream-shipped autogenerated files during build
DEB_UPSTREAM_CRUFT_COPY = lib

# Compile from itself (build twice to mimic build:full without testing)
# TODO: add build:parser when jison is available in Debian
# TODO: add build:ultraviolet when ruby-uv is in Debian
# TODO: compile docs when docco is in Debian
CDBS_BUILD_DEPENDS += , node-uglify (>= 2.2), node-underscore
build/$(pkg):: debian/stamp-build
debian/stamp-build:
	mkdir -p extras
	chmod +x bin/cake
	bin/cake build
	bin/cake build
	bin/cake build:browser
	$(if $(filter nocheck,$(DEB_BUILD_OPTIONS)),,bin/cake test)
	$(if $(filter nocheck,$(DEB_BUILD_OPTIONS)),,bin/cake test:browser)
	mv extras/coffee-script.js debian/coffee-script.min.js
	MINIFY=false bin/cake build:browser
	$(if $(filter nocheck,$(DEB_BUILD_OPTIONS)),,bin/cake test:browser)

	touch $@
clean::
	rm -f debian/coffee-script.min.js
	rm -f debian/stamp-build

install/$(pkg)::
	bin/cake \
		--destdir $(cdbs_curdestdir) \
		--prefix /usr \
		--nodedir /usr/lib/nodejs \
		install
	mv $(cdbs_curdestdir)/usr/bin/cake $(cdbs_curdestdir)/usr/bin/$(cake)

# generate manpage based on --help option of script itself
CDBS_BUILD_DEPENDS += , help2man
manpages = debian/coffee.1
DEB_INSTALL_MANPAGES_$(pkg) = $(manpages)
common-binary-indep:: $(manpages)
$(manpages): install/$(pkg)
$(manpages): debian/%.1 : bin/%
	help2man \
		--name="interpreter and compiler for the CoffeeScript language" \
		--version-string="$(DEB_NOEPOCH_VERSION)" \
		--no-info \
		--output=$@ \
		$<
clean::
	rm -f $(manpages)

binary-fixup/$(pkg)::
	chmod -R a-x,a+X debian/$(pkg)/usr/lib/coffee-script/lib/ debian/$(pkg)/usr/lib/coffee-script/src/
