## coffeescript 1.9.3~dfsg

=== debian/changelog ===
coffeescript (1.9.3~dfsg-1) unstable; urgency=medium

  [ upstream ]
  * New release.
    + Bugfix for interpolation in the first key of an object literal in
      an implicit call.
    + Fix broken error messages in the REPL, as well as a few minor bugs
      with the REPL.
    + Fix source mappings for tokens at the beginning of lines when
      compiling with the --bare option. This has the nice side effect of
      generating smaller source maps.
    + Slight formatting improvement of compiled block comments.
    + Better error messages for on, off, yes and no.

  [ Jonas Smedegaard ]
  * Update copyright info:
    + Use License-Grant and License-Reference fields.
      Thanks to Ben Finney.
  * Add lintian override regarding license in License-Reference field.
    See bug#786450.
  * Update package relations:
    + Relax to (build-)depend unversioned on nodejs: Needed version
      satisfied even in oldstable.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 28 May 2015 20:04:18 +0200
