=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  devscripts,
  debhelper,
  dh-buildinfo,
- nodejs (>= 0.6.19~dfsg1-3~),
+ nodejs,
  node-uglify (>= 2.2),
  node-underscore,
  help2man
