=== debian/rules ===
--- 
+++ 
@@ -34,7 +34,7 @@
 # suppress checking binary file, to not upset dpkg-source
 DEB_COPYRIGHT_CHECK_IGNORE_REGEX = ^documentation/images/logo\.png|debian/(changelog|copyright(|_hints|_newhints))$
 
-deps = nodejs (>= 0.6.19~dfsg1-3~)
+deps = nodejs
 CDBS_BUILD_DEPENDS += , $(deps)
 CDBS_DEPENDS_$(pkg) = $(deps)
 CDBS_RECOMMENDS_libjs-$(pkg) = javascript-common
