=== debian/watch ===
version=3
opts=dversionmangle=s/\~dfsg.*// \
https://github.com/jashkenas/coffee-script/tags .*/archive/v?(\d[\d\.]+).tar.gz
