## coffeescript 1.10.0~dfsg

=== debian/changelog ===
coffeescript (1.10.0~dfsg-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Andreas Tille <tille@debian.org>  Tue, 07 Mar 2017 22:16:05 +0100

coffeescript (1.10.0~dfsg-1) unstable; urgency=medium

  [ upstream ]
  * New release.
    + CoffeeScript now supports ES6-style destructuring defaults.
    + (offsetHeight: height) -> no longer compiles. That syntax was
      accidental and partly broken. Use ({offsetHeight: height}) ->
      instead. Object destructuring always requires braces.
    + Fix bug where the REPL would sometimes report valid code as
      invalid, based on what you had typed earlier.
    + Fix problem with multiple JS contexts in the jest test framework.
    + Fix error in io.js where strict mode is set on internal modules.
    + Fix variable name clash for the caught error in catch blocks.

  [ Jonas Smedegaard ]
  * Update copyright info:
    + Fix double comment field.
    + Drop superfluous GPL disclaimer.
  * Bump debhelper compatibility level to 9.
  * Add lintian override regarding debhelper 9.
  * Modernize git-buildpackage config: Avoid git- prefix.
  * Add lintian override regarding missing source.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 01 Mar 2016 01:14:08 +0100
