=== debian/rules ===
--- 
+++ 
@@ -31,8 +31,9 @@
 DEB_UPSTREAM_REPACKAGE_EXCLUDES += extras/coffee-script.js \
 	documentation/docs/public/fonts/
 
-# suppress checking binary file, to not upset dpkg-source
-DEB_COPYRIGHT_CHECK_IGNORE_REGEX = ^documentation/images/logo\.png|debian/(changelog|copyright(|_hints|_newhints))$
+# Build-depend unversioned on debhelper
+#  TODO: Drop when adopted in cdbs
+CDBS_BUILD_DEPENDS_rules_debhelper_v9 = debhelper
 
 deps = nodejs
 CDBS_BUILD_DEPENDS += , $(deps)
@@ -41,6 +42,9 @@
 CDBS_SUGGESTS_$(pkg) = libjs-$(pkg), coffeescript-doc
 CDBS_SUGGESTS_libjs-$(pkg) = coffeescript
 CDBS_PROVIDES_coffeescript = node-coffeescript
+
+# suppress checking binary file, to not upset dpkg-source
+DEB_COPYRIGHT_CHECK_IGNORE_REGEX = ^documentation/images/logo\.png|debian/(changelog|copyright(|_hints|_newhints))$
 
 # Provide "cake" as "cake.coffeescript" to peacefully coexist with cakephp
 cake = cake.coffeescript
